> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide an employee

> Hide an employee from the company directory. Their onboarding and offboarding records are removed.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /employees/{employeeId}/hide
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /employees/{employeeId}/hide:
    post:
      tags:
        - Employees
      summary: Hide an employee
      description: >-
        Hide an employee from the company directory. Their onboarding and
        offboarding records are removed.
      operationId: hideEmployee
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HideEmployee_Output'
components:
  schemas:
    HideEmployee_Output:
      type: object
      properties:
        success:
          type: boolean
          const: true
      required:
        - success
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````